Bug 881908 - grubby: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
grubby: migration to /etc/hostname, /etc/vconsole.conf, /etc/locale.conf
Product: Fedora
Classification: Fedora
Component: grubby (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
Blocks: 881785
  Show dependency treegraph
Reported: 2012-11-29 13:40 EST by Michal Schmidt
Modified: 2013-01-16 14:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-01-16 14:45:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Schmidt 2012-11-29 13:40:29 EST
Fedora is migrating away from:
 /etc/sysconfig/network (the HOSTNAME=... setting)

See the tracker bug 881785 for details.

We found:
grubby-8.20/new-kernel-pkg:    [ -r /etc/sysconfig/keyboard ] && . /etc/sysconfig/keyboard 
grubby-8.20/new-kernel-pkg:    [ -r /etc/sysconfig/i18n ] && . /etc/sysconfig/i18n

Please update the package for the new config files.
Comment 1 Fedora Update System 2013-01-04 11:56:54 EST
grubby-8.22-1.fc18 has been submitted as an update for Fedora 18.
Comment 2 Fedora Update System 2013-01-04 15:28:12 EST
Package grubby-8.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grubby-8.22-1.fc18'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-01-16 14:45:07 EST
grubby-8.22-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.